<div class="bg-gradient-primary" style="height: 100vh">

  <div class="container">

    <!-- Outer Row -->
    <div class="row justify-content-center">

      <div class="col-xl-10 col-lg-12 col-md-9">

        <div class="card o-hidden border-0 shadow-lg my-5">
          <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
              <div class="col-lg-6 d-none d-lg-block bg-password-image"></div>
              <div class="col-lg-6">
                <div class="p-5">
                  <div class="text-center">
                    <h1 class="h4 text-gray-900 mb-2">Set Your New Password!</h1>
                    <p></p>
                  </div>
                  <form class="user" [formGroup]="passwordResetForm" (ngSubmit)="onSubmit()">
                    <div class="form-group">
                      <input formControlName="password" type="password" class="form-control form-control-user"
                             id="passwordInput" placeholder="specify your new password"
                             aria-describedby="emailHelp"
                             [ngClass]="{'is-invalid':passwordResetForm.get('password').invalid && passwordResetForm.get('password').touched}">
                    </div>
                    <div class="form-group">
                      <input formControlName="passwordRepeat" type="password" class="form-control form-control-user"
                             id="passwordRepeatInput" placeholder="retype password again"
                             aria-describedby="emailHelp"
                             [ngClass]="{'is-invalid':passwordResetForm.get('passwordRepeat').invalid && passwordResetForm.get('passwordRepeat').touched}">
                    </div>
                    <div class="mx-3 mb-3 text-danger"
                         *ngIf="passwordResetForm.getError('notSamePassword') && passwordResetForm.get('password').touched && passwordResetForm.get('passwordRepeat').touched">
                      Passwords do not match!
                    </div>
                    <div class="mx-3 mb-3 text-danger" *ngIf="passwordResetForm.getError('error')">
                      Error: {{ passwordResetForm.getError('error') }}
                    </div>
                    <div class="mx-3 mb-3 text-danger" *ngIf="passwordResetForm.get('password').errors?.minlength">
                      Passwords too short
                    </div>
                    <button type="submit" class="btn btn-primary btn-user btn-block" [disabled]="!passwordResetForm.valid">
                      Reset Password
                    </button>
                  </form>
                  <hr>
                  <div class="text-center">
                    <a class="small" routerLink="/auth/register">Create an Account!</a>
                  </div>
                  <div class="text-center">
                    <a class="small" routerLink="/auth/login">Already have an account? Login!</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

      </div>

    </div>

  </div>

</div>
